GET
https://api.breeze.blue/v1/voices/{voice_id}/settingsGet voice settings
Get saved voice_settings for a voice.
Authentication
API key: Send your Breeze Developer API key with the xi-api-key header.
Headers
| Field | Type | Description |
|---|---|---|
xi-api-keyrequired | string | Your Breeze Developer API key. See authentication. |
Path parameters
| Field | Type | Description |
|---|---|---|
voice_idrequired | string | Voice identifier returned by GET /v1/voices. |
Example request
python
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
settings = client.voices.get_settings("voc_xeh3w54cqvnp")
print(settings)
typescript
import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const settings = await client.voices.getSettings("voc_xeh3w54cqvnp");
console.log(settings);
curl
curl "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp/settings" \
-H "xi-api-key: $BREEZE_API_KEY"
import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
settings = client.voices.get_settings("voc_xeh3w54cqvnp")
print(settings)Response
Voice settings.
Content types: application/json
Response headers:
x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
"guidance_scale": 1
}Errors
RESOURCE_NOT_FOUND— The voice_id does not exist or is not accessible.
See the full list on errors.